cparse_params Struct Reference

## Data Fields

VALUE | value_v
VALUE | parser
int | lex_is_iterator
VALUE | lexer
ID | lexmid
VALUE | action_table
VALUE | action_check
VALUE | action_default
VALUE | action_pointer
VALUE | goto_table
VALUE | goto_check
VALUE | goto_default
VALUE | goto_pointer
long | nt_base
VALUE | reduce_table
VALUE | token_table
VALUE | state
long | curstate
VALUE | vstack
VALUE | tstack
VALUE | t
long | shift_n
long | reduce_n
long | ruleno
long | errstatus
long | nerr
int | use_result_var
VALUE | retval
long | fin
int | debug
int | sys_debug
long | i

## Detailed Description

Definition at line 133 of file cparse.c.

## Field Documentation

VALUE cparse_params::action_check

Definition at line 146 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and parse_main().

VALUE cparse_params::action_default

Definition at line 147 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and parse_main().

VALUE cparse_params::action_pointer

Definition at line 148 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and parse_main().

VALUE cparse_params::action_table

Definition at line 145 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and parse_main().

long cparse_params::curstate

Definition at line 161 of file cparse.c.

Referenced by initialize_params(), parse_main(), reduce0(), and shift().

int cparse_params::debug

Definition at line 180 of file cparse.c.

Referenced by initialize_params(), parse_main(), reduce0(), and shift().

long cparse_params::errstatus

Definition at line 169 of file cparse.c.

Referenced by initialize_params(), parse_main(), and reduce().

long cparse_params::fin

Definition at line 175 of file cparse.c.

Referenced by initialize_params(), lexer_i(), parse_main(), and racc_yyparse().

VALUE cparse_params::goto_check

Definition at line 151 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and reduce0().

VALUE cparse_params::goto_default

Definition at line 152 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and reduce0().

VALUE cparse_params::goto_pointer

Definition at line 153 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and reduce0().

VALUE cparse_params::goto_table

Definition at line 150 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and reduce0().

long cparse_params::i

Definition at line 183 of file cparse.c.

Referenced by parse_main().

int cparse_params::lex_is_iterator

Definition at line 138 of file cparse.c.

Referenced by extract_user_token(), initialize_params(), parse_main(), racc_cparse(), and racc_yyparse().

VALUE cparse_params::lexer

Definition at line 139 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and lexer_iter().

ID cparse_params::lexmid

Definition at line 140 of file cparse.c.

Referenced by extract_user_token(), initialize_params(), lexer_iter(), and racc_yyparse().

long cparse_params::nerr

Definition at line 170 of file cparse.c.

Referenced by initialize_params(), and parse_main().

long cparse_params::nt_base

Definition at line 155 of file cparse.c.

Referenced by initialize_params(), and reduce0().

VALUE cparse_params::parser

Definition at line 136 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), parse_main(), reduce(), reduce0(), and shift().

long cparse_params::reduce_n

Definition at line 166 of file cparse.c.

Referenced by initialize_params(), and parse_main().

VALUE cparse_params::reduce_table

Definition at line 156 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and reduce0().

VALUE cparse_params::retval

Definition at line 174 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), parse_main(), racc_cparse(), and racc_yyparse().

long cparse_params::ruleno

Definition at line 167 of file cparse.c.

Referenced by reduce(), and reduce0().

long cparse_params::shift_n

Definition at line 165 of file cparse.c.

Referenced by initialize_params(), and parse_main().

VALUE cparse_params::state

Definition at line 160 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), parse_main(), reduce0(), and shift().

int cparse_params::sys_debug

Definition at line 181 of file cparse.c.

Referenced by racc_cparse(), and racc_yyparse().

VALUE cparse_params::t

Definition at line 164 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and parse_main().

VALUE cparse_params::token_table

Definition at line 157 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), and parse_main().

VALUE cparse_params::tstack

Definition at line 163 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), parse_main(), reduce0(), and shift().

int cparse_params::use_result_var

Definition at line 172 of file cparse.c.

Referenced by initialize_params(), and reduce0().

VALUE cparse_params::value_v

Definition at line 134 of file cparse.c.

Referenced by call_lexer(), cparse_params_mark(), initialize_params(), and reduce().

VALUE cparse_params::vstack

Definition at line 162 of file cparse.c.

Referenced by cparse_params_mark(), initialize_params(), parse_main(), reduce0(), and shift().

The documentation for this struct was generated from the following file:

- ext/racc/cparse/cparse.c